Bug 100489 - kernel-utils should be split up
kernel-utils should be split up
Status: CLOSED DUPLICATE of bug 122366
Product: Red Hat Linux
Classification: Retired
Component: kernel-utils (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-22 17:14 EDT by Dan Hollis
Modified: 2013-09-11 08:41 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 13:57:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Hollis 2003-07-22 17:14:56 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030529

Description of problem:
kernel-utils should be split up. bundling them all together just leads to
confusion and package maintenance problems.

smartctl and uml are really complete individual projects on their own, with
their own individual config files. there are also much more recent versions of
both of these than whats bundled in rh9.

i dont really see a reason to bundle them all together in kernel-utils when
there are other rpm packages that are separate and even smaller (ttcp, ed for
example).

the name kernel-utils is also sort of a misnomer since this implies the
utilities are for kernel maintenance. a better name would be hardware-utils.

but again, they should be separated. the latest smartctl and microcode_ctl
sources even have their own specfiles for rpm building.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. download smartctl from sourceforge.
2. build rpm from included specfile.
3. try to install the rpm.
    

Actual Results:  get package conflicts with kernel-utils for no good reason.

Expected Results:  smartctl shouldnt be bundled in with unrelated programs in an
rpm. (i dont think any rpm should ever do this, really)

Additional info:
Comment 1 Thomas Zehetbauer 2003-10-25 18:22:03 EDT
I totally agree with this request. I had installed smartmontools and lm_sensors
on RedHat 9 and therefore got to choose between ignoring lm_sensor's new
dependency on kernel-utils or installing an old version of smartmontools. 
Comment 2 Dan Hollis 2004-05-03 15:18:37 EDT
rolling this bug forward to fedora core 2 test3 since rh9 is EOL.

*** This bug has been marked as a duplicate of 122366 ***
Comment 3 Red Hat Bugzilla 2006-02-21 13:57:40 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.